Drivers for Ubuntu gnome3 RX570 18.0.4. How to start ubuntu without any cmdline options?

Already asked questions, and some how figured out, but the last step is not given. In General, I had Ubuntu at one point, after crub the black screen. Decided this registration nomodset, then in the terminal prescribed GRUB_CMDLINE_LINUX_DEFAULT="nomodset"
radeon.modeset=1 or 0 does not help.
Have a system with a resolution of 1024x768.
Trying to put the firewood,says you already are, try to check if there are modules not found, trying to register autodelete(somewhere saw) - no such modules.
Or cmdline options krašit installation.
Confused completely.
The only way yet to change the graphics card. But if anyone can help, I will try to do what you need.
Or maybe revert to an older Ubuntu 12.04 LTS but don't know if it helps.
April 7th 20 at 10:48
1 answer
April 7th 20 at 10:50
Here Radeon™ RX 570 Drivers & Support it is possible to find fire wood on this card and Ubuntu.

Specifically, the driver itself:
Radeon™ Software for Linux® Driver for Ubuntu 18.04.3
The link can not download, unfortunately.
Need directly from the AMD website.
Go to the first link at the top of the post.
Choose there, as in the screenshot and click on DOWNLOAD*:
5e4000f54b5e1077272138.png

And this - the Radeon™ Software for Linux® Installation instruction how to install it...
WARNING: cmdline options detected in kernel parameters, amdgpu requires KMS
WARNING: amdgpu dkms failed for running kernel

To rebuild the kernel now? - taryn.Zemlak commented on April 7th 20 at 10:53
@taryn.Zemlak, try it in GRUB like this:
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash modesetting"
- Jarred35 commented on April 7th 20 at 10:56
@taryn.Zemlak, not a fact, try it first:
apt install amdgpu-dkms libdrm-amdgpu-amdgpu1 libdrm-amdgpu1 libdrm2-amdgpu
at the core 4.18.0-15 just doesn't work, by the way. - Monroe_La commented on April 7th 20 at 10:59
@taryn.Zemlak, and that's here like the solution to your problem... - Jarred35 commented on April 7th 20 at 11:02
@Monroe_La, Linux evgenygg24 5.3.0-28-generic #30~18.04.1-Ubuntu SMP Fri Jan 17 06:14:09 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux
18.04.1 I will try - taryn.Zemlak commented on April 7th 20 at 11:05
@Monroe_La, Reading state information... Ready
Is already installed package libdrm-amdgpu1 newest version (2.4.99-1ubuntu1~18.04.2).
libdrm-amdgpu1 marked as installed manually.
Is already installed package amdgpu-dkms newest version (19.50-967956).
Is already installed package libdrm-amdgpu-amdgpu1 newest version (1:2.4.99-967956).
libdrm-amdgpu-amdgpu1 marked as installed manually.
Is already installed package libdrm2-amdgpu newest version (1:2.4.99-967956).
libdrm2-amdgpu marked as installed manually.
The following packages were automatically installed and are no longer required:
gir1.2-geocodeglib-1.0 libllvm8 ubuntu-web-launchers
To remove them use "sudo apt autoremove".
0 packages updated, 0 newly installed, for removal 0 packets are marked, and 3 not upgraded. - taryn.Zemlak commented on April 7th 20 at 11:08
@Jarred35, "quiet splash modesetting" c with these settings, black screen)) Well, try the link to see the solution. I think I will exchange the video card on 1050ti just then - taryn.Zemlak commented on April 7th 20 at 11:11
@taryn.Zemlakwill have time to exchange more...
The link go and try.
I think everything will be solved! - Jarred35 commented on April 7th 20 at 11:14
@Jarred35, the old Wood was torn down, when you restart the PC the system will not let me, new problem) If all else fails I'll try I have a second PC gtx660 will try with her to do everything, and then its back to stick. - taryn.Zemlak commented on April 7th 20 at 11:17
@taryn.Zemlak, so I had to try to do as the link.
It was meant to be - Jarred35 commented on April 7th 20 at 11:20
@Jarred35, do's no itog
WARNING: cmdline options detected in kernel parameters, amdgpu requires KMS
WARNING: amdgpu dkms failed for running kernel

prichem
sudo apt-get install linux-image-4.15.0-47-generic \
Reading package lists... Done
Building dependency tree
Reading state information... Ready
Already installed the linux-image package-4.15.0-47-generic newest version (4.15.0-47.50).
The following package was automatically installed and are no longer required:

no
cat /proc/version
Linux version 5.3.0-28-generic (buildd@lcy01-amd64-009) (gcc version 7.4.0 (Ubuntu 7.4.0-1ubuntu1~18.04.1)) #30~18.04.1-Ubuntu SMP Fri Jan 17 06:14:09 UTC 2020 - taryn.Zemlak commented on April 7th 20 at 11:23
@Jarred35, https://www.phoronix.com/forums/forum/linux-graphi...

step 3) - taryn.Zemlak commented on April 7th 20 at 11:26
@Jarred35, nothing helps), even in recovery Vogue if you remove nomodesetting hat loading... - taryn.Zemlak commented on April 7th 20 at 11:29

Find more questions by tags LinuxUbuntu